Subject: Collection (5) Romanian
From: "Amanda" <[email-masked]>
Date: Wed, 28 Jun 2000 17:32:55 -0400
Newsgroups: rec.food.recipes

WALNUT TART 
Gewich (Romanian)
Romanian Jewish Beef Sausage
Romanian Ground Meat Sausage Recipe (Mitilei)
Romanian Sweet Pasta

WALNUT TART

Walnuts are widely used in the Balkans and Hungary to fill sweet cakes
and as the basis of sweetmeats. Paul Kovi writes that in Transylvania,
where religion sanctioned them as symbols of purity, nuts were also
considered to be aphrodisiacs, which made them particularly popular as
Carnival week approached. This recipe comes from Romania.

Pastry:
4 oz plain flour
1/2 teaspoon baking powder
pinch of salt
2 oz butter
1 tablespoon sugar
1 egg yolk
milk

Filling:
3-4 oz. sugar
2 egg yolks
5 oz. ground walnuts
3 egg whites, stiffly beaten
6 tablespoons apricot jam
3 tablespoons lemon juice

Sift together flour, baking powder and salt, and rub in the butter. Add the 
sugar and egg yolk, and mix until dough is pliable, adding a little milk if 
necessary. Knead for a few minutes, then let stand for 20 minutes in a cool 
place. For the filling beat together sugar and egg yolks, add the ground 
walnuts, and fold in the beaten egg whites. Roll out the dough to line a 9-inch 
tart or flan dish. Spread the jam mixed with lemon juice evenly over the 
surface. Top with the walnut mixture. Bake in a 325 degree F oven for 35-40 
minutes. Serve warm or cold.

Gewich (Romanian)

2 potatoes (I use three)
Small can of tomatoes (I use 15 oz. can of stewed tomatoes)
Tsp dehydrated onions (better than fresh, more if you like onions)
1/4 cup uncooked rice (I use 1/2 cup)
3/4 tsp salt
chopped garlic to taste (optional - my addition)
1 green pepper cut into small squares

Mix and add water to generously cover. Put two slices of pork steak on top. Put 
in preheated 375 oven for 2.5 to 3 hours. When meat is browned cover baking 
dish. This is excellent reheated. I use much less meat as I am on a low-fat 
diet. When I was a vegetarian for a few years I found the recipe worked using a 
little vegetable oil on top instead of meat.

Shylock <[email-masked]> 

Romanian Jewish Beef Sausage

Yields: 4-5 lbs

3 lbs lean beef chuck
1 1/4 lbs fatty beef (short ribs or plate)
1/4 lb beef suet
5 tsp kosher salt
1 Tbsp coarsely ground black pepper
2 tsp ground coriander
pinch ground allspice
pinch ground bay leaf
pinch ground cloves
1 tsp dry mustard
2 Tbsp whole yellow mustard seed
2 Tbsp minced garlic
2 tsp sugar
1/2 cup water
lamb or beef casings (we use lamb)

Grind lean beef through food grinder with 3/8 inch plate, fatty beef through 1/4
inch plate. In large bowl, mix ground meat with all other ingredients, except 
water and casings. Add enough water to allow you to work the spices in, knead 
till well blended. Stuff into lamb casings and tie into 5 inch links. Keeps in 
refrigerator 2-3 days, 2-3 months in the freezer.  [email-masked] 
(Ramone)

Romanian Ground Meat Sausage Recipe (Mitilei)

Serves 6

2 lb. (1 Kg) ground beef neck 
1/2 lb. (200g) beef suet 
1 garlic head 
1/2 teaspoon caraway
1/2 teaspoon pepper
1/2 teaspoon baking soda

Mix ground meat with ground fat. Salt and let stand 2 - 3 hours in the 
refrigerator. Add pepper, crushed caraway seeds and baking soda. Prepare garlic 
sauce from garlic and soup stock. Strain and add to meat mixture. Grind the 
mixture through food mill or food processor. Shape into long sausages by hand. 
Use wet hands. Broil on the grill. Baste with soup stock.
William Anzick

Romanian Sweet Pasta

1 lb. eggless pasta 
12 cup water 
1 cup maple syrup 
1/2 cup ground walnuts, or 1/3 cup ground poppy seeds 
1/2 tsp. lemon rind, minced 
11/2 cup raisins 
1/2 tsp. powdered cloves 
1 tsp. cinnamon

Cook pasta in boiling water until done. Drain. Heat maple syrup and walnuts
or poppy seeds in a large pot over medium heat for 2 minutes. Add lemon
rind, raisins, clove powder, and cinnamon. Continue cooking for 3 more
minutes. Add cooked pasta. Mix well and serve warm. You can also pour the
mixture into a baking dish and bake at 350 degrees for 20 minutes before
serving. Serves 8.

Calories per serving, 395; fat, 5 grams; carbohydrates, 83 grams.

Debra Wasserman. Recipes from The Lowfat Jewish Vegetarian Cookbook

~~Rec.food.recipes is moderated; only recipes and recipe requests are accepted
for posting.  Please read the FAQ posted each week.  Recipes/requests
go to [email-masked]; questions/comments to [email-masked].  
Please allow several days for your submission to appear.